###############################################################################
# UCS:Registered_Example.tcl                  https://nbox.org/eggdrop/scripts/
#
# Copyright (C) 2004 Yann Richard (Ze) - <ze at nbox dot org>
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License V2 as published by
#   the Free Software Foundation;
# 
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
# 
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#   If any clause are declared invalid in your contry only Copyright will
#   be valid and I forbiden the use of my software in theirs contry until
#   i release a new version with a Licence compatible with the GPL.
#
###############################################################################
# 
# This Tcl script is an example of possible use of UCS:Registered script.
#
# Provide:
#   .ucschan #channel
#
#  give the same result as .channel and adding a row where you can see if
#  a nick is registered or not
#
###############################################################################
bind dcc - "ucschan" UCSChannel
proc UCSChannel {handle idx text} {
  set chan [lindex $text 0]
  putdcc $idx "Channel $chan"
  putdcc $idx "NICKNAME     HANDLE       X's USERNAME   USERHOST"
  foreach nick [chanlist $chan] {
    set lhandle [nick2hand $nick $chan]
    set ucs [UCS:Registered:IsRegistered $nick]
    set userhost [getchanhost $nick $chan]
    set s1 [string repeat " " [expr 13 - [string length $nick]]]
    set s2 [string repeat " " [expr 13 - [string length $lhandle]]]
    set s3 [string repeat " " [expr 15 - [string length $ucs]]]
    putdcc $idx "${nick}${s1}${lhandle}${s2}${ucs}${s3}${userhost}"
  }
}

